Bug 135065 - evolution has awkward keyboard shortcuts for non US keyboards
Summary: evolution has awkward keyboard shortcuts for non US keyboards
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-08 13:22 UTC by Nils Philippsen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: FC-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 12:54:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2004-10-08 13:22:34 UTC
Description of problem:

To e.g. show/hide a mail message you now have to press "Ctrl+`" which
is "Ctrl+Shift+´" on German keyboards, before (1.4) it was at least
just "`" which was "Shift+´" (awkward in it's own regard because you
still had to press 2 keys), before that it was simply "Q" which was a
bit unintuitive, but quick ;-). I show/hide the preview pane all the
time so it is a bit cumbersome to use that way.

I don't know how to best tackle this issue, making shortcuts
configurable or providing different shortcuts for different keyboards
or what else.

Version-Release number of selected component (if applicable):

evolution-2.0.1-2

How reproducible:

Always (tested with en_US.UTF-8 and de_DE.UTF-8 locales, no difference)

Steps to Reproduce:
1. Start evolution
2. Show or hide the preview pane with the keyboard shortcut
  
Actual results:

You need to use a three finger shortcut.

Expected results:

An easier shortcut or the possibility to configure keyboard shortcut
(though that one might not survive the Havoc test).

Additional info:

Comment 1 Nils Philippsen 2004-10-08 13:34:51 UTC
I a similar vein, both View->Toolbar and View->Show hidden messages
have "Alt+V->O" as their accelerator (not shortcut), shall I file a
separate BZ for these?

Comment 2 Matthew Miller 2006-07-10 22:06:35 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Nils Philippsen 2006-07-11 12:37:44 UTC
The former issue was solved by using "Ctrl-M", but the latter (duplicate
accelerators) wasn't... with a twist: now it's "View->Show hidden messages" and
"View->Zoom Out" which have the same accel ("Alt-V->O").

Comment 4 Matthew Barnes 2006-07-11 13:34:14 UTC
Is this bug still present in the latest version of evolution?

$ rpm -q evolution
evolution-2.7.3-9

Looking at my View menu I see "Ctrl+-" for "View->Zoom Out" and no accelerator
for "View->Show Hidden Messages".  Perhaps I misunderstood the problem description.

Comment 5 Nils Philippsen 2006-12-13 12:54:15 UTC
evolution-2.8.2.1-2.fc6 solves these problems for me, thanks.


Note You need to log in before you can comment on or make changes to this bug.